summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Necib ÇAPAR2022-08-13 03:48:21 +0200
committer Willy Sudiarto Raharjo2022-08-13 03:48:21 +0200
commit4e56e6c92ca45fe3a56d24e79fad10af7ac71a3c (patch)
tree143399e7b91ca4549e3341be7607db8d4f13346a
parent745a7b999d151eebd8f0bdc781a47b7751797b6a (diff)
downloadslackbuilds-4e56e6c92ca45fe3a56d24e79fad10af7ac71a3c.tar.gz
system/mathML2dtd: Added (W3 MathML2 DTD).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/mathML2dtd/README12
-rw-r--r--system/mathML2dtd/doinst.sh86
-rw-r--r--system/mathML2dtd/douninst.sh6
-rw-r--r--system/mathML2dtd/mathML2dtd.SlackBuild87
-rw-r--r--system/mathML2dtd/mathML2dtd.info10
-rw-r--r--system/mathML2dtd/slack-desc19
6 files changed, 220 insertions, 0 deletions
diff --git a/system/mathML2dtd/README b/system/mathML2dtd/README
new file mode 100644
index 0000000000..115dbc02c2
--- /dev/null
+++ b/system/mathML2dtd/README
@@ -0,0 +1,12 @@
+'mathML2dtd' is a group of shell scripts, SGML catalog
+and required files used for creating a removable
+SlackBuild package for W3 MathML2 DTD.
+
+After the installation of W3 MathML2 DTD /etc/xml/catalog
+file will be created if it DOESN'T exist otherwise it will
+be updated.
+
+After uninstallation of the 'mathML2dtd' package
+/etc/xml/catalog and /usr/share/xml/ will be reset
+automatically to the original state defined by the
+'linuxdoc-tools'
diff --git a/system/mathML2dtd/doinst.sh b/system/mathML2dtd/doinst.sh
new file mode 100644
index 0000000000..b72330b82c
--- /dev/null
+++ b/system/mathML2dtd/doinst.sh
@@ -0,0 +1,86 @@
+catalog_filepath=etc/xml/catalog
+
+if [ ! -e etc/xml ]; then
+ mkdir -p etc/xml
+ xmlcatalog --noout --create $catalog_filepath
+fi
+
+# DocBook V4.x Entries
+xmlcatalog --noout --add 'delegatePublic' \
+ "-//OASIS//ENTITIES DocBook XML" \
+ "file:///etc/xml/docbook" \
+ $catalog_filepath
+xmlcatalog --noout --add 'delegatePublic' \
+ "-//OASIS//DTD DocBook XML" \
+ "file:///etc/xml/docbook" \
+ $catalog_filepath
+xmlcatalog --noout --add 'delegateSystem' \
+ "http://www.oasis-open.org/docbook/" \
+ "file:///etc/xml/docbook" \
+ $catalog_filepath
+xmlcatalog --noout --add 'delegateURI' \
+ "http://www.oasis-open.org/docbook/" \
+ "file:///etc/xml/docbook" \
+ $catalog_filepath
+xmlcatalog --noout --add 'delegateSystem' \
+ "http://www.oasis-open.org/docbook/xml/4.1.2/" \
+ "file:///etc/xml/docbook" \
+ $catalog_filepath
+xmlcatalog --noout --add 'delegateURI' \
+ "http://www.oasis-open.org/docbook/xml/4.1.2/" \
+ "file:///etc/xml/docbook" \
+ $catalog_filepath
+xmlcatalog --noout --add 'delegateSystem' \
+ "http://www.oasis-open.org/docbook/xml/4.2/" \
+ "file:///etc/xml/docbook" \
+ $catalog_filepath
+xmlcatalog --noout --add 'delegateURI' \
+ "http://www.oasis-open.org/docbook/xml/4.2/" \
+ "file:///etc/xml/docbook" \
+ $catalog_filepath
+xmlcatalog --noout --add 'delegateSystem' \
+ "http://www.oasis-open.org/docbook/xml/4.3/" \
+ "file:///etc/xml/docbook" \
+ $catalog_filepath
+xmlcatalog --noout --add 'delegateURI' \
+ "http://www.oasis-open.org/docbook/xml/4.3/" \
+ "file:///etc/xml/docbook" \
+ $catalog_filepath
+xmlcatalog --noout --add 'delegateSystem' \
+ "http://www.oasis-open.org/docbook/xml/4.4/" \
+ "file:///etc/xml/docbook" \
+ $catalog_filepath
+xmlcatalog --noout --add 'delegateURI' \
+ "http://www.oasis-open.org/docbook/xml/4.4/" \
+ "file:///etc/xml/docbook" \
+ $catalog_filepath
+xmlcatalog --noout --add 'rewriteSystem' \
+ "http://cdn.docbook.org/release/xsl-nons/1.79.2" \
+ "file://usr/share/xml/docbook/xsl-stylesheets-1.79.2" \
+ $catalog_filepath
+xmlcatalog --noout --add 'rewriteURI' \
+ "http://cdn.docbook.org/release/xsl-nons/1.79.2" \
+ "file://usr/share/xml/docbook/xsl-stylesheets-1.79.2" \
+ $catalog_filepath
+xmlcatalog --noout --add 'rewriteSystem' \
+ "http://cdn.docbook.org/release/xsl-nons/current" \
+ "file://usr/share/xml/docbook/xsl-stylesheets-1.79.2" \
+ $catalog_filepath
+xmlcatalog --noout --add 'rewriteURI' \
+ "http://cdn.docbook.org/release/xsl-nons/current/" \
+ "file://usr/share/xml/docbook/xsl-stylesheets-1.79.2" \
+ $catalog_filepath
+xmlcatalog --noout --add 'rewriteSystem' \
+ "http://docbook.sourceforge.net/release/xsl/current" \
+ "/usr/share/xml/docbook/xsl-stylesheets-1.79.2" \
+ $catalog_filepath
+xmlcatalog --noout --add 'rewriteURI' \
+ "http://docbook.sourceforge.net/release/xsl/current" \
+ "/usr/share/xml/docbook/xsl-stylesheets-1.79.2" \
+ $catalog_filepath
+
+# 'mathML2dtd' catalog Entry
+xmlcatalog --noout --add 'nextCatalog' \
+ '' \
+ "file:///usr/share/xml/schema/w3c/mathml2/catalog_mathML2.xml" \
+ $catalog_filepath
diff --git a/system/mathML2dtd/douninst.sh b/system/mathML2dtd/douninst.sh
new file mode 100644
index 0000000000..4357542fb3
--- /dev/null
+++ b/system/mathML2dtd/douninst.sh
@@ -0,0 +1,6 @@
+catalog_filepath=etc/xml/catalog
+
+# Remove 'mathML2dtd' catalog Entry
+xmlcatalog --noout --del \
+ "file:///usr/share/xml/schema/w3c/mathml2/catalog_mathML2.xml" \
+ $catalog_filepath
diff --git a/system/mathML2dtd/mathML2dtd.SlackBuild b/system/mathML2dtd/mathML2dtd.SlackBuild
new file mode 100644
index 0000000000..2f60a7fe57
--- /dev/null
+++ b/system/mathML2dtd/mathML2dtd.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/bash
+
+# mathML2dtd.SlackBuild - SlackBuild script for creating a package of MathML2 DTD
+# Copyright © 2022 Necib ÇAPAR <necipcapar@gmail.com>
+
+# This file is part of mathML2dtd
+
+# mathML2dtd is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# mathML2dtd is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=mathML2dtd
+VERSION=${VERSION:-1.0.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+ARCH=noarch
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# create installation directory tree for the original files
+mkdir --parents $PKG/usr/share/xml/schema/w3c
+cp --archive $TMP/$PRGNAM-$VERSION/mathml2 $PKG/usr/share/xml/schema/w3c/
+cp --archive $TMP/$PRGNAM-$VERSION/catalog_mathML2.xml $PKG/usr/share/xml/schema/w3c/mathml2
+cp --archive $TMP/$PRGNAM-$VERSION/catalog_mathML2 $PKG/usr/share/xml/schema/w3c/mathml2
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/douninst.sh > $PKG/install/douninst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/mathML2dtd/mathML2dtd.info b/system/mathML2dtd/mathML2dtd.info
new file mode 100644
index 0000000000..3420e4133b
--- /dev/null
+++ b/system/mathML2dtd/mathML2dtd.info
@@ -0,0 +1,10 @@
+PRGNAM="mathML2dtd"
+VERSION="1.0.0"
+HOMEPAGE="https://github.com/N-Tek/mathML2dtd"
+DOWNLOAD="https://github.com/N-Tek/mathML2dtd/releases/download/v1.0.0/mathML2dtd-1.0.0.tar.gz"
+MD5SUM="b91c3e186f3524f5ec75f18f1fd9c055"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="%README%"
+MAINTAINER="Necib ÇAPAR"
+EMAIL="necipcapar@gmail.com"
diff --git a/system/mathML2dtd/slack-desc b/system/mathML2dtd/slack-desc
new file mode 100644
index 0000000000..b28d0692f2
--- /dev/null
+++ b/system/mathML2dtd/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+mathML2dtd: mathML2dtd (W3 MathML2 DTD)
+mathML2dtd:
+mathML2dtd: w3 mathml2 dtd with additional required files
+mathML2dtd:
+mathML2dtd:
+mathML2dtd:
+mathML2dtd:
+mathML2dtd:
+mathML2dtd:
+mathML2dtd:
+mathML2dtd: https://www.w3.org/Math/DTD/mathml2.tgz